Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161590 - sr_get_mcn: check for kmalloc failure
Summary: sr_get_mcn: check for kmalloc failure
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Doug Ledford
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: RHEL4u8_relnotes
TreeView+ depends on / blocked
 
Reported: 2005-06-24 18:11 UTC by nate.dailey
Modified: 2014-06-10 14:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-18 19:28:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1024 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 4.8 kernel security and bug fix update 2009-05-18 14:57:26 UTC

Description nate.dailey 2005-06-24 18:11:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050317 Firefox/1.0.2

Description of problem:
In sr_get_mcn, a buffer is allocated but the allocation isn't checked for failure. This change has been accepted in the latest kernel.org kernel. I didn't actually hit this, but it seems like something that should be fixed.

--- sr_ioctl.c.orig     2005-06-23 12:37:19.000000000 -0400
+++ sr_ioctl.c  2005-06-13 17:32:29.000000000 -0400
@@ -278,6 +278,9 @@ int sr_get_mcn(struct cdrom_device_info
        char *buffer = kmalloc(32, GFP_KERNEL | SR_GFP_DMA(cd));
        int result;

+       if (!buffer)
+               return -ENOMEM;
+
        memset(&cgc, 0, sizeof(struct packet_command));
        cgc.cmd[0] = GPCMD_READ_SUBCHANNEL;
        cgc.cmd[2] = 0x40;      /* I do want the subchannel info */


Version-Release number of selected component (if applicable):
kernel-2.6.9-5.EL

How reproducible:
Didn't try

Steps to Reproduce:


Additional info:

Comment 1 Doug Ledford 2008-10-02 13:47:51 UTC
This obviously got overlooked.

Comment 2 RHEL Product and Program Management 2008-10-02 14:16:38 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Vivek Goyal 2008-10-15 21:13:23 UTC
Committed in 78.14.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/

Comment 7 Chris Ward 2009-03-27 14:18:08 UTC
~~ Attention Partners! Snap 1 Released ~~
RHEL 4.8 Snapshot 1 has been released on partners.redhat.com. There should
be a fix present, which addresses this bug. NOTE: there is only a short time
left to test, please test and report back results on this bug
at your earliest convenience.

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have found a NEW bug, clone this
bug and describe the issues you encountered. Further questions can be
directed to your Red Hat Partner Manager.

If you have VERIFIED the bug fix. Please select your PartnerID from the
Verified field above. Please leave a comment with your test results details.
Include which arches tested, package version and any applicable logs.

 - Red Hat QE Partner Management

Comment 8 Chris Ward 2009-04-16 15:58:42 UTC
I've confirmed that the patch as provided by the reporter in comment #0 is included in the latest 4.8 kernel (-88.EL)

Comment 9 Chris Ward 2009-04-16 16:07:55 UTC
~~ Attention! Snap 4 Released ~~
RHEL 4.8 Snapshot 4 has been released on partners.redhat.com. There should
be a fix present that addresses this bug. NOTE: there is only a short time
left to test, please test and report back results on this bug ASAP.

The latest kernel build can be obtained here:
http://people.redhat.com/vgoyal/rhel4/

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have found a NEW bug, clone this
bug and describe the issues you encountered. Further questions can be
directed to your Red Hat Partner Manager.

If you have VERIFIED the bug fix. Please select your PartnerID from the
Verified field above. Please leave a comment with your test results details.
Include which arches tested, package version and any applicable logs.

Comment 10 nate.dailey 2009-04-16 16:56:06 UTC
Marking this verified by Stratus. I'm not set up to test RHEL 4.8, but I verified the fix was present in the source RPM and the sources I built from it.

Comment 12 errata-xmlrpc 2009-05-18 19:28:42 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html

Comment 13 Doug Ledford 2014-06-10 14:50:31 UTC
Clearing stale needinfo on CLOSED bug.


Note You need to log in before you can comment on or make changes to this bug.